Index: /branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/zoo_service_loader.c
===================================================================
--- /branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 512)
+++ /branches/PublicaMundi_David-devel/zoo-project/zoo-kernel/zoo_service_loader.c	(revision 513)
@@ -3394,70 +3257,50 @@
        * this way the data will be updated at the end of the process run.
        */
-                                                         printProcessResponse
-                                                         (m, request_inputs,
-                                                          cpid, s1,
-                                                          r_inputs1->value,
-                                                          SERVICE_STARTED,
-                                                          request_input_real_format,
-                                                          request_output_real_format);
+          printProcessResponse
+            (m, request_inputs,
+             cpid, s1,
+             r_inputs1->value,
+             SERVICE_STARTED,
+             request_input_real_format, request_output_real_format);
 #ifndef WIN32
-                                                         fflush (stdout);
-                                                         rewind (stdout);
+          fflush (stdout);
+          rewind (stdout);
 #else
 #endif
-                                                         fbkp1 =
-                                                         (char *)
-                                                         malloc ((strlen
-                                                                  (r_inputs->
-                                                                   value) +
-                                                                  strlen
-                                                                  (r_inputs1->
-                                                                   value) +
-                                                                  1024) *
-                                                                 sizeof
-                                                                 (char));
-                                                         sprintf (fbkp1,
-                                                                  "%s/%s_final_%d.xml",
-                                                                  r_inputs->
-                                                                  value,
-                                                                  r_inputs1->
-                                                                  value,
-                                                                  cpid);
-                                                         f1 =
-                                                         freopen (fbkp1, "w+",
-                                                                  stdout);
-                                                         loadServiceAndRun
-                                                         (&m, s1,
-                                                          request_inputs,
-                                                          &request_input_real_format,
-                                                          &request_output_real_format,
-                                                          &eres);}
-                                                         else
-                                                         {
+          fbkp1 = (char *)
+            malloc ((strlen
+                     (r_inputs->value) +
+                     strlen (r_inputs1->value) + 1024) * sizeof (char));
+          sprintf (fbkp1, "%s/%s_final_%d.xml", r_inputs->value,
+                   r_inputs1->value, cpid);
+          f1 = freopen (fbkp1, "w+", stdout);
+          loadServiceAndRun
+            (&m, s1,
+             request_inputs,
+             &request_input_real_format, &request_output_real_format, &eres);
+        }
+      else
+        {
       /**
        * error server don't accept the process need to output a valid 
        * error response here !!!
        */
-                                                         eres = -1;
-                                                         errorException (m,
-                                                                         _
-                                                                         ("Unable to run the child process properly"),
-                                                                         "InternalError",
-                                                                         NULL);}
-                                                         }
-
-#ifdef DEBUG
-                                                         dumpMaps
-                                                         (request_output_real_format);
-#endif
-                                                         if (eres != -1)
-                                                         outputResponse (s1,
-                                                                         request_input_real_format,
-                                                                         request_output_real_format,
-                                                                         request_inputs,
-                                                                         cpid,
-                                                                         m,
-                                                                         eres);
-                                                         fflush (stdout);
+          eres = -1;
+          errorException (m,
+                          _
+                          ("Unable to run the child process properly"),
+                          "InternalError", NULL);
+        }
+    }
+
+#ifdef DEBUG
+  dumpMaps (request_output_real_format);
+#endif
+  if (eres != -1)
+    outputResponse (s1,
+                    request_input_real_format,
+                    request_output_real_format,
+                    request_inputs, cpid, m, eres);
+  fflush (stdout);
   /**
    * Ensure that if error occurs when freeing memory, no signal will return
@@ -3466,82 +3309,52 @@
    */
 #ifndef USE_GDB
-                                                         (void)
-                                                         signal (SIGSEGV,
-                                                                 donothing);
-                                                         (void)
-                                                         signal (SIGTERM,
-                                                                 donothing);
-                                                         (void)
-                                                         signal (SIGINT,
-                                                                 donothing);
-                                                         (void)
-                                                         signal (SIGILL,
-                                                                 donothing);
-                                                         (void)
-                                                         signal (SIGFPE,
-                                                                 donothing);
-                                                         (void)
-                                                         signal (SIGABRT,
-                                                                 donothing);
-#endif
-                                                         if (((int) getpid ())
-                                                             != cpid
-                                                             || cgiSid !=
-                                                             NULL)
-                                                         {
-                                                         fclose (stdout);
-                                                         fclose (stderr);
-                                                         unhandleStatus (m);
+  (void) signal (SIGSEGV, donothing);
+  (void) signal (SIGTERM, donothing);
+  (void) signal (SIGINT, donothing);
+  (void) signal (SIGILL, donothing);
+  (void) signal (SIGFPE, donothing);
+  (void) signal (SIGABRT, donothing);
+#endif
+  if (((int) getpid ()) != cpid || cgiSid != NULL)
+    {
+      fclose (stdout);
+      fclose (stderr);
+      unhandleStatus (m);
     /**
      * Dump back the final file fbkp1 to fbkp
      */
-                                                         fclose (f0);
-                                                         fclose (f1);
-                                                         FILE * f2 =
-                                                         fopen (fbkp1, "rb");
-                                                         FILE * f3 =
-                                                         fopen (fbkp, "wb+");
-                                                         free (fbkp);
-                                                         fseek (f2, 0,
-                                                                SEEK_END);
-                                                         long flen =
-                                                         ftell (f2);
-                                                         fseek (f2, 0,
-                                                                SEEK_SET);
-                                                         char *tmps1 =
-                                                         (char
-                                                          *)malloc ((flen +
-                                                                     1) *
-                                                                    sizeof
-                                                                    (char));
-                                                         fread (tmps1, flen,
-                                                                1, f2);
-                                                         fwrite (tmps1, 1,
-                                                                 flen, f3);
-                                                         fclose (f2);
-                                                         fclose (f3);
-                                                         unlink (fbkp1);
-                                                         free (fbkp1);
-                                                         free (tmps1);}
-
-                                                         freeService (&s1);
-                                                         free (s1);
-                                                         freeMaps (&m);
-                                                         free (m);
-                                                         freeMaps
-                                                         (&request_input_real_format);
-                                                         free
-                                                         (request_input_real_format);
-                                                         freeMaps
-                                                         (&request_output_real_format);
-                                                         free
-                                                         (request_output_real_format);
-                                                         free (REQUEST);
-                                                         free (SERVICE_URL);
-#ifdef DEBUG
-                                                         fprintf (stderr,
-                                                                  "Processed response \n");
-                                                         fflush (stdout);
-                                                         fflush (stderr);
-#endif
-                                                         return 0;}
+      fclose (f0);
+      fclose (f1);
+      FILE *f2 = fopen (fbkp1, "rb");
+      FILE *f3 = fopen (fbkp, "wb+");
+      free (fbkp);
+      fseek (f2, 0, SEEK_END);
+      long flen = ftell (f2);
+      fseek (f2, 0, SEEK_SET);
+      char *tmps1 = (char *) malloc ((flen + 1) * sizeof (char));
+      fread (tmps1, flen, 1, f2);
+      fwrite (tmps1, 1, flen, f3);
+      fclose (f2);
+      fclose (f3);
+      unlink (fbkp1);
+      free (fbkp1);
+      free (tmps1);
+    }
+
+  freeService (&s1);
+  free (s1);
+  freeMaps (&m);
+  free (m);
+  freeMaps (&request_input_real_format);
+  free (request_input_real_format);
+  freeMaps (&request_output_real_format);
+  free (request_output_real_format);
+  free (REQUEST);
+  free (SERVICE_URL);
+#ifdef DEBUG
+  fprintf (stderr, "Processed response \n");
+  fflush (stdout);
+  fflush (stderr);
+#endif
+  return 0;
+}
